PHP is among the most widely used general-purpose scripting languages. It’s extremely popular since it’s free software, which you can use to set up responsive websites like social networking websites, e-shops or e-teaching sites rather than static HTML websites. A PHP module should be present on the server where a PHP-driven website is hosted so that its code can be read. Since there aren’t any license fees for this kind of module and the language itself offers countless possibilities for the applications that you set up, there are hundreds of millions of PHP-driven sites. Besides, there’re lots of open-source PHP scripts, which you can use for your websites without the need to have any programming skills. As there’re a number of PHP versions, you must check if the very same version that you used while setting up your website is activated on the server as well.
PHP 4 and PHP 5 Support in Shared Hosting
We have made a conscious decision not to restrict our present and future clients from picking the PHP version that will be used by their sites, so in case you purchase a shared hosting package from our company, you’ll be able to pick between versions 5.5, 5.4, 5.3, 5.2 and 4, not only for the hosting account as a whole, but also for each single domain that you host. This can be done with only one mouse click through our in-house created Hepsia Control Panel via which all shared hosting accounts are managed, which is the reason why you won’t need any programming or technical capabilities. You will be able to host websites built with both old and new PHP scripts without any hassles, so if you want to swap your current provider and migrate over to us, you can be sure that all the sites that you have created through the years will continue to run properly.
PHP 4 and PHP 5 Support in Semi-dedicated Servers
Even if your websites were created with an earlier version of PHP, you will be able to host them in a semi-dedicated server account from us, as we support several versions running at the same time on our servers and each of them can be activated for your account with just a click through our custom Hepsia Control Panel. Other than the latest PHP 5.5 and PHP 5.4, we also offer support for 5.2, 5.3 and the older PHP 4, which has already been dropped by the vast majority of web hosting vendors, but we maintain that you shouldn’t be forced to modify a site that took several years to create, as older scripting language syntax doesn’t necessarily mean security gaps. Just the opposite, an adequately maintained site using PHP 4 can be more reliable than a wrongly maintained one using PHP 5. For the sake of your convenience, we will also provide you with the possibility to specify a different version of PHP for each individual website within your account.